Subject: Re: bug#18118: Support for Python3 in TRAMP's `tramp-get-remote-uid-with-python'

From: Michael Albinus <[email-masked]>
Date: Mon, 28 Jul 2014 21:11:36 +0200

[email-masked] writes:

> Dear Emacs maintainers,

Hi Emílio,

> the following patch makes possible to use TRAMP to connect to systems
> where both `perl' and `id' are missing and where the Python program is
> called `python3'.  Note that the syntax `print foo' is invalid in
> Python3 since there `print' is a function, whereas in Python2 it is/was
> a statement.  The syntax `print(foo)' works in both cases and it's what
> I used bellow.

I don't use Python. However, your patch looks reasonable to me, so I've
applied it to the trunk. Closing the bug.

> Regards
>  Emílio

Thanks for your report, and best regards, Michael.